Operation CategoriesOperation categories (visible to the caller)

Operation categories (visible to the caller)

Assigned categories with values. Sensitive fields are REDACTED based on access: the value comes back as null and the key is added to redactedFields; show "hidden," not an empty value

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/operations/transfer/example_string/categories" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "items": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "vaultId": "example_string",
      "operationType": "deposit",
      "operationId": "example_string",
      "categoryId": "example_string",
      "category": {
        "id": "example_string",
        "key": "example_string",
        "name": "John Doe"
      },
      "values": {},
      "redactedFields": [
        "example_string"
      ],
      "version": 42,
      "status": "active",
      "createdById": "example_string",
      "updatedById": "example_string",
      "createdAt": "2026-07-02T11:25:15.134000Z",
      "updatedAt": "2026-07-02T11:25:15.134000Z"
    }
  ]
}
GET
/api/v1/vaults/{code}/operations/{type}/{id}/categories
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

path
codestring
Required

Unique Vault code (slug)

path
typestring
Required
Options: transfer, deposit
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault
typestring
Required
Allowed values:transferdeposit

Responses

itemsarray
Required